Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class TimeStampedData

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cms.TimeStampedData

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class TimeStampedData
extends ASN1Object

RFC 5544: Binding Documents with Time-Stamps; TimeStampedData object.

TimeStampedData ::= SEQUENCE { version INTEGER { v1(1) }, dataUri IA5String OPTIONAL, metaData MetaData OPTIONAL, content OCTET STRING OPTIONAL, temporalEvidence Evidence }

Constructor Summary
`TimeStampedData(ASN1IA5String dataUri, MetaData metaData, ASN1OctetString content, Evidence temporalEvidence)`

Method Summary
`ASN1OctetString` | `getContent()`
`DERIA5String` | `getDataUri()` Deprecated. Use `getDataUriIA5()` instead.
`ASN1IA5String` | `getDataUriIA5()`
`static TimeStampedData` | `getInstance(java.lang.Object obj)` Return a TimeStampedData object from the given object.
`MetaData` | `getMetaData()`
`Evidence` | `getTemporalEvidence()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeStampedData

    public TimeStampedData(ASN1IA5String dataUri,
                           MetaData metaData,
                           ASN1OctetString content,
                           Evidence temporalEvidence)

Method Detail

### getInstance

    public static TimeStampedData getInstance(java.lang.Object obj)

  Return a TimeStampedData object from the given object.

  Accepted inputs: null → null `RecipientKeyIdentifier` object `ASN1Sequence` input formats with TimeStampedData structure inside

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getDataUri

    public DERIA5String getDataUri()

  Deprecated. Use `getDataUriIA5()` instead.

### getDataUriIA5

    public ASN1IA5String getDataUriIA5()

### getMetaData

    public MetaData getMetaData()

### getContent

    public ASN1OctetString getContent()

### getTemporalEvidence

    public Evidence getTemporalEvidence()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD